﻿using UnityEngine; // 41 Post - Created by DimasTheDriver on Apr/26/2015. Part of the 'Unity and Android: Create an Unity app with a custom layout' post. Available at: http://www.41post.com/?p=5292
using System.Collections;

public class RotateAround : MonoBehaviour 
{
	//This game object's transform
	private Transform goTransform;
	//The target transform
	public Transform targetTransform;
	/*The direction of the rotation of the game object this script is 
	to. It's either 0 or one*/
	private int rotationDirection = 0;

	void Start() 
	{
		this.goTransform = this.GetComponent<Transform>();
	}

	void Update() 
	{

		this.goTransform.LookAt (this.targetTransform.position);

		//Rotate around the targetTransform
		this.goTransform.RotateAround (this.targetTransform.position, Vector3.up, 
		                               Time.deltaTime * rotationDirection * 7f);
	}

	/*This method will receive the message sent by the Java code. The 
	signature is important.*/
	void ReceiveRotDir(string message)
	{
		if (string.Equals (message, "R")) 
		{
			this.rotationDirection = -1;
		} 
		else if (string.Equals (message, "L")) 
		{
			this.rotationDirection = 1;
		} 
		else //Set it to zero
		{
			this.rotationDirection = 0;
		}
	}
}
